
CMAKE_MINIMUM_REQUIRED(VERSION 2.4)

IF(COMMAND cmake_policy)
  cmake_policy(SET CMP0003 NEW)
ENDIF(COMMAND cmake_policy)


PROJECT (TumorSimAll)

FIND_PACKAGE(ITK)
IF (ITK_FOUND)
  INCLUDE(${USE_ITK_FILE})
ELSE (ITK_FOUND)
  MESSAGE(FATAL_ERROR "ITK not found. Please set ITK_DIR.")
ENDIF (ITK_FOUND)

FIND_PACKAGE(VTK)
IF (VTK_FOUND)
  INCLUDE(${USE_VTK_FILE})
ELSE (VTK_FOUND)
  MESSAGE(FATAL_ERROR "VTK not found. Please set VTK_DIR.")
ENDIF (VTK_FOUND)

SET(VTK_LIBRARIES
  vtkCommon
  vtkFiltering
  vtkImaging
  vtkGraphics
  vtkGenericFiltering
  vtkIO
)

INCLUDE_DIRECTORIES(
  ${VTK_INCLUDE_DIRS}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/DTI
  ${CMAKE_CURRENT_SOURCE_DIR}/Misc
  ${CMAKE_CURRENT_SOURCE_DIR}/Misc/qhull
  ${CMAKE_CURRENT_SOURCE_DIR}/Simulator
)

SET(TUMORSIM_ROOT ${CMAKE_CURRENT_SOURCE_DIR})

SUBDIRS(Applications/MeshGen)
SUBDIRS(Applications/MeshView)
SUBDIRS(Applications/TextureGen)
SUBDIRS(Applications/TumorSim)
